unbound: ub_event_vmt Struct Reference

unbound 0.1

Data Fields
ub_event_vmt Struct Reference

The Virtual Method Table for and ub_event "object". More...

`#include <unbound-event.h>`

## Data Fields
void(* | add_bits )(struct ub_event *, short)
| Add event bits for this event to fire on.
void(* | del_bits )(struct ub_event *, short)
| Configure the event so it will not longer fire on given bits The event will be deactivated before this function is called.
void(* | set_fd )(struct ub_event *, int)
| Change or set the file descriptor on the event The event will be deactivated before this function is called.
void(* | free )(struct ub_event *)
| Destructor for the ub_event object.
int(* | add )(struct ub_event *, struct timeval *)
| Activate the event.
int(* | del )(struct ub_event *)
| Deactivate the event.
int(* | add_timer )(struct ub_event *, struct ub_event_base *, void(*cb)(int, short, void *), void *arg, struct timeval *)
| Reconfigure and activate a timeout event.
int(* | del_timer )(struct ub_event *)
| Deactivate the timeout event.
int(* | add_signal )(struct ub_event *, struct timeval *)
| Activate a signal event (not called by libunbound).
int(* | del_signal )(struct ub_event *)
| Deactivate a signal event (not called by libunbound).
void(* | winsock_unregister_wsaevent )(struct ub_event *ev)
| Destructor for a ub_event associated with a wsaevent, (not called by libunbound).
void(* | winsock_tcp_wouldblock )(struct ub_event *, int eventbit)
| Libunbound will signal the eventloop when a TCP windows socket will block on next read or write (given by the eventbits), to work around edge trigger event behaviour of select on windows with TCP.

## Detailed Description

The Virtual Method Table for and ub_event "object".

## Field Documentation

## ◆ add_bits

void(* ub_event_vmt::add_bits) (struct ub_event *, short)

Add event bits for this event to fire on.

The event will be deactivated before this function is called.

Referenced by ub_event_add_bits().

## ◆ add

int(* ub_event_vmt::add) (struct ub_event *, struct timeval *)

Activate the event.

The given timeval is an timeout value.

Referenced by ub_event_add().

The documentation for this struct was generated from the following file:

- libunbound/unbound-event.h